SDL_IOFromConstMem(3)

NAME
SDL_IOFromConstMem - Use this function to prepare a read-only memory buffer for use with SDL_IOStream .

HEADER FILE
Defined in SDL3/SDL_iostream.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_IOStream* SDL_IOFromConstMem(const void *mem, size_t size);

DESCRIPTION
This function sets up an SDL_IOStream
 struct based on a memory area of a certain size. It assumes the memory area is not writable. Attempting to write to this SDL_IOStream
 stream will report an error without writing to the memory buffer. This memory buffer is not copied by the SDL_IOStream ; the pointer you provide must remain valid until you close the stream. Closing the stream will not free the original buffer. If you need to write to a memory buffer, you should use SDL_IOFromMem () with a writable buffer of memory instead.

FUNCTION PARAMETERS

mem a pointer to a read-only buffer to feed an SDL_IOStream
     stream

size
    the buffer size, in bytes

RETURN VALUE
Returns a pointer to a new SDL_IOStream
 structure, or NULL if it fails; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_IOFromMem(3), SDL_CloseIO(3), SDL_ReadIO(3), SDL_SeekIO(3), SDL_TellIO(3)